Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::SCFormIO Class Reference

This utility class is used to print only on node 0 and to provide attractive indentation of output. More...

`#include <formio.h>`

List of all members.

## Static Public Methods
std::ios & | indent (std::ios &o)
std::ios & | decindent (std::ios &o)
std::ios & | incindent (std::ios &o)
std::ios & | skipnextindent (std::ios &o)
void | setverbose (std::ios &o, long v)
long | getverbose (std::ios &o)
void | setindent (std::ios &o, long column)
long | getindent (std::ios &o)
int | set_printnode (int)
int | get_printnode ()
void | set_debug (int)
int | get_debug ()
void | init_mp (int me)
int | get_node ()
void | set_default_basename (const char *)
const char * | default_basename ()
char * | fileext_to_filename (const char *extension)
void | init_ostream (std::ostream &)
std::ostream & | license (std::ostream &)
std::ostream & | warranty (std::ostream &)
std::ostream & | copyright (std::ostream &)

## Detailed Description

This utility class is used to print only on node 0 and to provide attractive indentation of output.

The documentation for this class was generated from the following file:

- formio.h